#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;

varying vec4 v_color;
varying vec2 v_texCoord;

uniform float animationControl;
uniform vec2 resolution;

void main () {

    vec2 pos = gl_FragCoord.xy / resolution.xy;

    vec4 t_color = texture2D (u_texture, v_texCoord);

    vec4 mixing = vec4 (1.0, 1.0, 1.0, animationControl);
    vec4 final_color = v_color * t_color * mixing;
    gl_FragColor = final_color;

}